This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 904235

Summary: Grub2 menu untidy (name of the kernel entries not coherent)
Product: [Fedora] Fedora Reporter: nicofo <nicofo>
Component: grubbyAssignee: Peter Jones <pjones>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 18CC: antonio.montagnani, bcl, dennis, ikisham, pjones
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 785379 Environment:
Last Closed: 2013-12-25 14:20:53 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description nicofo 2013-01-25 15:10:52 EST
This bug is still present under Fedora 18.
For instance, in the list which appears in grub2 menu, I have:
    Fedora (3.7.2-204.fc18.i686)           (entry generated by grubby)
    Fedora, with Linux 3.6.10-4.fc18.i686  (entry generated by grub2-mkconfig)

This makes an unpolished menu, really not professional... It must be easy though to correct this I think...

+++ This bug was initially created as a clone of Bug #785379 +++

Description of problem:
When regenerating the file /boot/grub2/grub.cfg with:
 grub2-config -o /boot/grub2/grub.cfg
(and I think it's the same after a fresh Fedora installation), the kernel entry which appears in the grub2 menu looks like:
 Fedora Linux, with Linux <kernel version>.fc16.i686
(that name is defined after 'menuentry' in /boot/grub2/grub.cfg)

BUT after updating a kernel (with yum), the kernel entry looks like:
 Fedora (<kernel version>.fc16.i686)

which is not the same format as above.

Version-Release number of selected component (if applicable):
(Fedora 16 is up to date)

How reproducible:
Yes

Steps to Reproduce:
1. Update kernel
2. In grub2 menu, the name of the new kernel has not the same format as the previous ones installed at Fedora installation
3.
  
Actual results:
Grub2 menu is not clean because the list of kernels looks like:
 Fedora (3.2.2-1.fc16.i686)
 Fedora Linux, with Linux 3.2.1-3.fc16.i686
 Fedora Linux, with Linux 3.1.9-1.fc16.i686
 Fedora Linux, with Linux 3.1.7-1.fc16.i686

Expected results:
A clean grub2 menu is:
 Fedora Linux, with Linux 3.2.2-1.fc16.i686
 Fedora Linux, with Linux 3.2.1-3.fc16.i686
 Fedora Linux, with Linux 3.1.9-1.fc16.i686
 Fedora Linux, with Linux 3.1.7-1.fc16.i686

Additional info:
Why this difference ? Does it mean that when yum updates the kernel, it doesn't use 'grub2-config' but it's own tool ? So there are 2 tools to make the same thing (update /boot/grub2/grub.cfg file) ? That should be unified.

--- Additional comment from Sergio on 2012-04-13 09:45:00 EDT ---

Not only that, but it also makes no recovery mode for the latest kernel.

So when a new kernel is installed, GRUB menu has it on top (instead making it the 'Fedora' entry), then comes 'Fedora' (which boots the previous kernel) and then on the 'advanced' entries there's no recovery option for the latest kernel.

Running 'grub2-mkconfig -o /boot/grub2/grub.cfg' fixes the menu in this respect.

--- Additional comment from Fedora End Of Life on 2013-01-16 11:59:14 EST ---

This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 1 Fedora End Of Life 2013-12-21 05:49:48 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 nicofo 2013-12-25 14:20:53 EST

*** This bug has been marked as a duplicate of bug 785379 ***